//PROGRAMM FOR UART
//
// PROCESSOR : PIC18LF8490
// CLOCK	 : 20MHz, EXTERNAL

#include <pic18.h>
#include "usart.h"

// Configuration bit
__CONFIG(1, HS & FCMDIS & IESODIS) ;
__CONFIG(2, PWRTDIS & WDTDIS & BORDIS & BORV20) ;
__CONFIG(3, CCP2RC1 & LPT1DIS & MCLRDIS) ;
__CONFIG(4, XINSTEN & STVREN) ;
__CONFIG(5, UNPROTECT) ;


//Just simple delay
void Delay(unsigned long cntr) {
	while (--cntr != 0);
}

unsigned char ch;

// main function
void main( void ) {

	// Init UART
	InitUsart1();

	// loop forever - echo 
	while(1) {
		ch = Usart1ReadChar();
		Usart1WriteChar(ch);
		Usart1WriteChar('*');
	}
}
